<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {

    $tasks = App\Task::incomplete()->get();

    return view('welcome', compact('tasks'));
});

Route::get('/register', 'AuthController@register');

Route::post('/register', 'AuthController@createuser');

Route::get('/login', 'AuthController@login');

Route::get('/admin', 'AdminController@index')->name('home');